using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ChangeChildernMesh : MonoBehaviour
{
    Renderer[] renderers;
    private void OnEnable()
    {
        for(int i = 0; i < renderers.Length; i++)
        {
            renderers[i].enabled = true;

        }
    }
    private void Awake()
    {
        renderers = gameObject.GetComponentsInChildren<Renderer>();

        for (int i = 0; i < renderers.Length; i++)
        {
            renderers[i].enabled = false;

        }
    }
    private void OnDisable()
    {
        for (int i = 0; i < renderers.Length; i++)
        {
            renderers[i].enabled = false;

        }
    }
}
